### Signal

# GdkX11 X11Display::xevent

#### Declaration

    gboolean
    xevent (
      GdkX11Display* self,
      gpointer xevent,
      gpointer user_data
    )

#### Description [src]

The ::xevent signal is a low level signal that is emitted whenever an XEvent has been received.

When handlers to this signal return `TRUE`, no other handlers will be invoked. In particular, the default handler for this function is GDK’s own event handling mechanism, so by returning `TRUE` for an event that GDK expects to translate, you may break GDK and/or GTK+ in interesting ways. You have been warned.

If you want this signal handler to queue a `GdkEvent`, you can use gdk_display_put_event().

If you are interested in X GenericEvents, bear in mind that XGetEventData() has been already called on the event, and XFreeEventData() will be called afterwards.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.

#### Parameters

`xevent`

  Type: `gpointer`

  A pointer to the XEvent to process.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `gboolean`

`TRUE` to stop other handlers from being invoked for the event. `FALSE` to propagate the event further.